Support » Plugin: Heartbeat Control » Update today – caused crash with WP

  • Resolved grillbuff

    (@grillbuff)


    Updated this morning with new version of Heartbeat Control and that crashed my entire site.

    Had to do a backup, which fixed the crashed site but your new version of Heartbeat control is not working with new version of WordPress.

Viewing 15 replies - 1 through 15 (of 22 total)
  • I have the same issue:

    Warning: require_once(…/wp-content/plugins/heartbeat-controlautoloader.php): failed to open stream: No such file or directory in …/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36

    (I’ve put …s)

    There is been missing a slash on line 36 in the “heartbeat-control.php” file.

    The correction is:
    require_once( dirname( __FILE__ ) . ‘/autoloader.php’ );

    I did it and everything works now.

    Thanks!

    No problem

    Thanks – Bruno’s fix has fixed it for me, too.

    Awesome to come to the support forum with my errors copied and ready to go, and then find the solution right in front. Worked for me, thanks!

    Still not working, after adding the / it now just says fatal error now with this message..

    Warning: Division by zero in /home/xxx/public_html/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36

    Warning: require_once(/home/xxx/public_html/wp-content/plugins/heartbeat-controlNANphp’): failed to open stream: No such file or directory in /home/xxx/public_html/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36

    Fatal error: require_once(): Failed opening required ‘/home/xxx/public_html/wp-content/plugins/heartbeat-controlNANphp’’ (include_path=’.:/opt/cpanel/ea-php70/root/usr/share/pear’) in /home/xxx/public_html/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36

    Back to the drawing board – I wonder if everyone here has php 7 as I do?

    • This reply was modified 7 months, 2 weeks ago by  itsgotime.
    • This reply was modified 7 months, 2 weeks ago by  itsgotime.

    Not on php7 beause of another plugin, but thanks for the warning.

    Thanks, @bcunha09 it’s Working

    – Open heartbeat-control.php

    – Find the line require_once( dirname( __FILE__ ) . 'autoloader.php' ); (line no 36)

    – Replace it with require_once( dirname( __FILE__ ) . '/autoloader.php' );

    – Save the File and check it will Work

    @itsgotime I am running php7.0.23 and adding the slash to the file path solved the issue for me. Haven’t tested it on php7.1+ though..

    I’m also running 7.0.23 but simply adding the single forward slash does not work, still get a fatal error and it refuses to activate of course (as it should).

    You can see the error message which was AFTER adding the slash, division by zero and no such file issues…

    Clearly some other issues in the new release then as it has always worked perfectly with the same plugins as before this update…

    Got really shocked today. I updated Heartbeat Control on all my sites via iThemes Sync and immediately got 500 errors on each of them. Deleted the plugin via FTP. Sorry, no other choice.

    Hey thanks @worldfacts and @bcunha09 it’s working .. from busted to beaut … one little slash is all it took.

    Just to repeat the fix …
    (via FTP or Plugins edit)

    – Open heartbeat-control.php

    – Find the line require_once( dirname( __FILE__ ) . ‘autoloader.php’ ); (line no 36)

    – Replace it with require_once( dirname( __FILE__ ) . ‘/autoloader.php’ );

    – Save the File and check it will Work

    @zaaax actually that is not the case, it works for some but definitely not myself and at least one other…so you might have to slash that fix 😉

    Had to deactivate it on 7 live websites, as precaution.
    Not serious, at all. I mean not to make mistakes in coding, but not to follow support forum right after update.

Viewing 15 replies - 1 through 15 (of 22 total)
  • The topic ‘Update today – caused crash with WP’ is closed to new replies.